<!DOCTYPE html>
<html>
<head>
<style>
.modal-header {
    padding: 2px 16px;
    background-color: #5cb85c;
    color: white;
}
</style>
 
</head>

<body>
    
<div class="modal fade in" tabindex="-1" role="dialog" id="sign_up">
 
   <div class="modal-dialog">
        <div class="modal-header">
            
          <div class="container-fluid">
            <div class="row">
              <div class="col-md-12"><h2 class="modal-title">Sign Up</h2></div>
            </div>
          </div>
          
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>

        </div>

        <div class="modal-body">
        <%= form_for(resource, :as => resource_name, :url => user_registration_path) do |f| %>

            <%= devise_error_messages! %>

            <div>
                <%= f.label :email %><br/>
                <%= f.email_field :email, :autofocus => true %>
            </div>
            <div>
                <%= f.label :first_name, 'Nickname' %><br/>
                <%= f.text_field :first_name, value: "Guest" %>
            </div>
            <div>
                <%= f.label :password %><br/>
                <%= f.password_field :password %>
            </div>

            <div>
                <%= f.label :password_confirmation %><br/>
                <%= f.password_field :password_confirmation %>
            </div>

        </div>

        <div class="modal-footer">
          <p><div>
            <%= f.submit "Sign up", :class => 'btn btn-small btn-success' %>
          </div></p>

          <p><a href="#" class="btn btn-small" data-dismiss="modal">Close</a></p>

        </div>
        <% end %>
        
    </div>
</div>

</body>
</html>